import { defineComponent, watch } from 'vue';
import useParentComponentEffect from '../../../hooks/useParentComponentEffect';

var script = /*#__PURE__*/ defineComponent(Object.assign({
    name: 'BPanoramaControl'
}, { __name: 'index', props: {
        anchor: { type: null, required: false, default: 'BMAP_ANCHOR_TOP_RIGHT' },
        offset: { type: Object, required: false, default: () => ({ x: 10, y: 10 }) },
        visible: { type: Boolean, required: false, default: true }
    }, emits: ['initd', 'unload'], setup(__props) {
        const props = __props;
        let panoramaControl;
        const { ready } = useParentComponentEffect((map) => {
            const { visible, offset, anchor } = props;
            panoramaControl = new BMapGL.PanoramaControl();
            panoramaControl.setOffset(new BMapGL.Size(offset.x, offset.y));
            panoramaControl.setAnchor(window[anchor]);
            visible && map.addControl(panoramaControl);
            ready(map, panoramaControl);
            watch(() => props.visible, (n) => {
                map[n ? 'addControl' : 'removeControl'](panoramaControl);
            });
            return () => map.removeControl(panoramaControl);
        });
        return (_ctx, _cache) => {
            return null;
        };
    } }));

script.__file = "packages/components/control/panorama-control/index.vue";

export { script as default };
