import { defineComponent, watch } from 'vue';
import useParentComponentEffect from '../../../hooks/useParentComponentEffect';

var script = /*#__PURE__*/ defineComponent(Object.assign({
    name: 'BZoom'
}, { __name: 'index', props: {
        anchor: { type: null, required: false, default: 'BMAP_ANCHOR_BOTTOM_RIGHT' },
        offset: { type: Object, required: false, default: () => ({ x: 83, y: 18 }) },
        visible: { type: Boolean, required: false, default: true }
    }, emits: ['initd', 'unload'], setup(__props) {
        const props = __props;
        let zoomControl;
        const { ready } = useParentComponentEffect((map) => {
            const { visible, offset, anchor } = props;
            zoomControl = new BMapGL.ZoomControl({
                offset: new BMapGL.Size(offset.x, offset.y),
                anchor: window[anchor]
            });
            visible && map.addControl(zoomControl);
            ready(map, zoomControl);
            watch(() => props.visible, (n) => {
                map[n ? 'addControl' : 'removeControl'](zoomControl);
            });
            return () => map.removeControl(zoomControl);
        });
        return (_ctx, _cache) => {
            return null;
        };
    } }));

script.__file = "packages/components/control/zoom/index.vue";

export { script as default };
