import { type Callback, type DistrictType } from '../../../utils';
export interface DistrictLayerProps {
    /**
     * 是否可见
     */
    visible?: boolean;
    /**
     * 行政区名字
     */
    name: string;
    /**
     * @default 0
     * 行政区类型
     */
    kind?: DistrictType;
    /**
     * @default #fdfd27
     * 填充颜色
     */
    fillColor?: string;
    /**
     * @default 1
     * 填充透明度
     */
    fillOpacity?: number;
    /**
     * @default #231cf8
     * 线条颜色
     */
    strokeColor?: string;
    /**
     * @default 1
     * 描边线粗细
     */
    strokeWeight?: number;
    /**
     * @default 1
     * 描边线透明度
     */
    strokeOpacity?: number;
    /**
     * @default false
     * 自动聚焦地图中心
     */
    viewport?: boolean;
    onClick?: Callback;
    onDblclick?: Callback;
    onRightclick?: Callback;
    onRightdblclick?: Callback;
    onMousemove?: Callback;
    onMouseover?: Callback;
    onMouseout?: Callback;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<DistrictLayerProps>, {
    kind: number;
    visible: boolean;
    fillColor: string;
    fillOpacity: number;
    strokeWeight: number;
    strokeOpacity: number;
    strokeColor: string;
    viewport: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("initd" | "unload" | "mouseover" | "mouseout" | "click")[], "initd" | "unload" | "mouseover" | "mouseout" | "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<DistrictLayerProps>, {
    kind: number;
    visible: boolean;
    fillColor: string;
    fillOpacity: number;
    strokeWeight: number;
    strokeOpacity: number;
    strokeColor: string;
    viewport: boolean;
}>>> & {
    onInitd?: ((...args: any[]) => any) | undefined;
    onUnload?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onMouseout?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    kind: DistrictType;
    fillColor: string;
    fillOpacity: number;
    strokeColor: string;
    strokeWeight: number;
    strokeOpacity: number;
    viewport: boolean;
}, {}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
declare type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
