import { type Callback, type Point, type MapMaskShowRegion } from '../../../utils';
export interface MapMaskProps {
    /**
     * 掩膜路径坐标点
     */
    path: Point[];
    /**
     * @default 'inside'
     * 展示区域内部还是外部，取值'inside'或'outside'，默认为'inside'
     */
    showRegion?: MapMaskShowRegion;
    /**
     * @default false
     * 楼块是否参与掩膜
     */
    isBuildingMask?: boolean;
    /**
     * @default false
     * 底图是否参与掩膜
     */
    isMapMask?: boolean;
    /**
     * @default false
     * 底图上的Poi是否参与掩膜
     */
    isPoiMask?: boolean;
    /**
     * 是否可见
     */
    visible?: boolean;
    onClick?: Callback;
    onDblclick?: Callback;
    onMousedown?: Callback;
    onMouseup?: Callback;
    onMouseout?: Callback;
    onMouseover?: Callback;
    onRightclick?: Callback;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<MapMaskProps>, {
    showRegion: string;
    isBuildingMask: boolean;
    isMapMask: boolean;
    isPoiMask: boolean;
    visible: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "rightclick" | "mousedown" | "mouseup")[], "initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "rightclick" | "mousedown" | "mouseup", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<MapMaskProps>, {
    showRegion: string;
    isBuildingMask: boolean;
    isMapMask: boolean;
    isPoiMask: boolean;
    visible: boolean;
}>>> & {
    onInitd?: ((...args: any[]) => any) | undefined;
    onUnload?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onDblclick?: ((...args: any[]) => any) | undefined;
    onMousedown?: ((...args: any[]) => any) | undefined;
    onMouseout?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
    onMouseup?: ((...args: any[]) => any) | undefined;
    onRightclick?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    showRegion: MapMaskShowRegion;
    isBuildingMask: boolean;
    isMapMask: boolean;
    isPoiMask: boolean;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
declare type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
