import { Callback, Point } from '../../../utils/index';
import { MarkerIcons } from '../../../hooks/useDefaultMarkerIcons';
export interface MarkerOffset {
    x: number;
    y: number;
}
export declare type MarkerCustomIcon = {
    anchor?: {
        x: number;
        y: number;
    };
    imageOffset?: {
        x: number;
        y: number;
    };
    imageSize?: {
        width: number;
        height: number;
    };
    imageUrl: string;
    printImageUrl?: string;
    size: {
        width: number;
        height: number;
    };
};
export interface MarkerProps {
    position: Point;
    /**
     * 标注的位置偏移值
     */
    offset?: MarkerOffset;
    /**
     * 标注所用的图标对象
     */
    icon?: MarkerIcons | MarkerCustomIcon;
    /**
     * 显示层级
     */
    zIndex?: number;
    /**
     * @default true
     * 是否在调用map.clearOverlays清除此覆盖物，默认为true
     */
    enableMassClear?: boolean;
    /**
     * @default false
     * 是否启用拖拽，默认为false
     */
    enableDragging?: boolean;
    /**
     * @default true
     * 是否响应点击事件。默认为true
     */
    enableClicking?: boolean;
    /**
     * @default false
     * 拖拽标注时，标注是否开启离开地图表面效果。默认为false
     */
    raiseOnDrag?: boolean;
    /**
     * 拖拽标注时的鼠标指针样式。此属性值需遵循CSS的cursor属性规范
     */
    draggingCursor?: string;
    /**
     * 旋转角度
     */
    rotation?: number;
    /**
     * 鼠标移到marker上的显示内容
     */
    title?: string;
    /**
     * 是否可见
     */
    visible?: boolean;
    onClick?: Callback;
    onDblclick?: Callback;
    onMousedown?: Callback;
    onMouseup?: Callback;
    onMouseout?: Callback;
    onMouseover?: Callback;
    onRemove?: Callback;
    onInfowindowclose?: Callback;
    onInfowindowopen?: Callback;
    onDragstart?: Callback;
    onDragging?: Callback;
    onDragend?: Callback;
    onRightclick?: Callback;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<MarkerProps>, {
    offset: () => {
        x: number;
        y: number;
    };
    enableMassClear: boolean;
    enableDragging: boolean;
    enableClicking: boolean;
    raiseOnDrag: boolean;
    draggingCursor: string;
    rotation: number;
    title: string;
    visible: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "rightclick" | "dragstart" | "dragging" | "dragend" | "mousedown" | "mouseup" | "remove" | "infowindowclose" | "infowindowopen")[], "initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "rightclick" | "dragstart" | "dragging" | "dragend" | "mousedown" | "mouseup" | "remove" | "infowindowclose" | "infowindowopen", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<MarkerProps>, {
    offset: () => {
        x: number;
        y: number;
    };
    enableMassClear: boolean;
    enableDragging: boolean;
    enableClicking: boolean;
    raiseOnDrag: boolean;
    draggingCursor: string;
    rotation: number;
    title: string;
    visible: boolean;
}>>> & {
    onInitd?: ((...args: any[]) => any) | undefined;
    onUnload?: ((...args: any[]) => any) | undefined;
    onDragend?: ((...args: any[]) => any) | undefined;
    onDragstart?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onDblclick?: ((...args: any[]) => any) | undefined;
    onMousedown?: ((...args: any[]) => any) | undefined;
    onMouseout?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
    onMouseup?: ((...args: any[]) => any) | undefined;
    onRightclick?: ((...args: any[]) => any) | undefined;
    onDragging?: ((...args: any[]) => any) | undefined;
    onRemove?: ((...args: any[]) => any) | undefined;
    onInfowindowclose?: ((...args: any[]) => any) | undefined;
    onInfowindowopen?: ((...args: any[]) => any) | undefined;
}, {
    title: string;
    visible: boolean;
    offset: MarkerOffset;
    enableDragging: boolean;
    enableMassClear: boolean;
    enableClicking: boolean;
    raiseOnDrag: boolean;
    draggingCursor: string;
    rotation: number;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
declare type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
