import { Callback, StrokeStyle, type Point } from '../../../utils';
export interface PolylineProps {
    /**
     * 折线的节点坐标数组
     */
    path: Point[];
    /**
     * @default #000000
     * 折线颜色
     */
    strokeColor?: string;
    /**
     * 折线的宽度，以像素为单位
     */
    strokeWeight?: number;
    /**
     * 折线的透明度，取值范围0 - 1
     */
    strokeOpacity?: number;
    /**
     * 折线的样式
     */
    strokeStyle?: StrokeStyle;
    /**
     * @default true
     * 是否在调用map.clearOverlays清除此覆盖物，默认为true
     */
    enableMassClear?: boolean;
    /**
     * @default false
     * 是否启用线编辑，默认为false
     */
    enableEditing?: boolean;
    /**
     * @default true
     * 是否响应点击事件，默认为true
     */
    enableClicking?: boolean;
    /**
     * @default false
     * 是否开启大地线模式，true时，两点连线将以大地线的形式。默认为false
     */
    geodesic?: boolean;
    /**
     * @default true
     * 是否进行跨经度180度裁剪，绘制跨精度180时为了优化效果，可以设置成false，默认为true
     */
    clip?: boolean;
    /**
     * 连接右线
     */
    linkRight?: boolean;
    /**
     * 是否可见
     */
    visible?: boolean;
    onClick?: Callback;
    onDblclick?: Callback;
    onMousedown?: Callback;
    onMouseup?: Callback;
    onMouseout?: Callback;
    onMouseover?: Callback;
    onRemove?: Callback;
    onLineupdate?: Callback;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<PolylineProps>, {
    strokeColor: string;
    strokeWeight: number;
    strokeOpacity: number;
    strokeStyle: string;
    enableMassClear: boolean;
    enableEditing: boolean;
    enableClicking: boolean;
    geodesic: boolean;
    clip: boolean;
    linkRight: boolean;
    visible: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "mousedown" | "mouseup" | "remove" | "lineupdate")[], "initd" | "unload" | "mouseover" | "mouseout" | "click" | "dblclick" | "mousedown" | "mouseup" | "remove" | "lineupdate", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<PolylineProps>, {
    strokeColor: string;
    strokeWeight: number;
    strokeOpacity: number;
    strokeStyle: string;
    enableMassClear: boolean;
    enableEditing: boolean;
    enableClicking: boolean;
    geodesic: boolean;
    clip: boolean;
    linkRight: boolean;
    visible: boolean;
}>>> & {
    onInitd?: ((...args: any[]) => any) | undefined;
    onUnload?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onDblclick?: ((...args: any[]) => any) | undefined;
    onMousedown?: ((...args: any[]) => any) | undefined;
    onMouseout?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
    onMouseup?: ((...args: any[]) => any) | undefined;
    onRemove?: ((...args: any[]) => any) | undefined;
    onLineupdate?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    strokeColor: string;
    strokeWeight: number;
    strokeOpacity: number;
    strokeStyle: StrokeStyle;
    enableMassClear: boolean;
    enableEditing: boolean;
    enableClicking: boolean;
    geodesic: boolean;
    clip: boolean;
    linkRight: boolean;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
declare type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
declare type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
declare type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
