import { Ref } from 'vue';
import { type Point } from '../utils';
export declare type AddressGeocoderResult = Point | Point[];
/**
 * 由地址解析坐标点
 */
export declare function useAddressGeocoder<T extends AddressGeocoderResult = AddressGeocoderResult>(cal?: (point: Ref<T>) => void): {
    get: (address: T extends Point ? string : string[], city: string) => void;
    point: Ref<T | null | undefined>;
    isLoading: Ref<boolean>;
    isEmpty: Ref<boolean>;
};
