import { Ref } from 'vue';
import { Point } from '../utils';
export interface PointGeocoderResult {
    /**
     * 坐标点
     */
    point: Point;
    /**
     * 地址描述
     */
    address: string;
    /**
     * 结构化的地址描述
     */
    addressComponents: {
        city: string;
        district: string;
        province: string;
        street: string;
        streetNumber: string;
    };
    /**
     * 附近的POI点
     */
    surroundingPois: Array<BMapGL.LocalResultPoi>;
    /**
     * 商圈字段，代表此点所属的商圈
     */
    business: string;
}
/**
 * 由地址解析坐标点
 */
export declare function usePointGeocoder<T extends PointGeocoderResult | PointGeocoderResult[] = PointGeocoderResult | PointGeocoderResult[]>(options?: BMapGL.LocationOptions | null, cal?: (point: Ref<T>) => void): {
    get: (point: T extends PointGeocoderResult ? Point : Point[]) => void;
    result: Ref<T | null | undefined>;
    isLoading: Ref<boolean>;
    isEmpty: Ref<boolean>;
};
