/** @format */
export declare type PluginsList = [
    'TrackAnimation',
    'Mapvgl',
    'MapvglThreeLayers',
    'Mapv',
    'MapvThree',
    'DrawingManager',
    'DistanceTool',
    'GeoUtils',
    'AreaRestriction',
    'InfoBox',
    'RichMarker',
    'LuShu'
];
export declare type PluginsUnion = PluginsList[number];
export declare type PluginsSourceLink = Record<PluginsUnion, string>;
export declare type PluginsLoader = (...args: any[]) => Promise<any>;
export declare type UserPlugins = (PluginsUnion | PluginsLoader)[];
export declare const DEFAULT_PLUGINS_SOURCE_LINK: PluginsSourceLink;
export declare const pluginLoaderMap: Record<PluginsUnion, (customSourceLink?: string) => Promise<any>>;
export declare function initPlugins(plugins: UserPlugins, customPluginSourceLink?: Partial<PluginsSourceLink>): Promise<{}>;
